diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2022-02-09 15:51:26.137397764 -0600
@@ -825,7 +448,8 @@ static ASCIILiteral partTypeString(UNumb
     return "unknown"_s;
 }
 
-void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, Style style, double value, const String& formatted, IntlFieldIterator& iterator, JSArray* parts, JSString* unit)
+#if 0
+void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, double value, const String& formatted, UFieldPositionIterator* iterator, JSArray* parts, JSString* unit)
 {
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
@@ -837,12 +461,7 @@ void IntlNumberFormat::formatToPartsInte
     Vector<IntlNumberFormatField, 32> fields(stringLength, literalField);
     int32_t beginIndex = 0;
     int32_t endIndex = 0;
-    UErrorCode status = U_ZERO_ERROR;
-    auto fieldType = iterator.next(beginIndex, endIndex, status);
-    if (U_FAILURE(status)) {
-        throwTypeError(globalObject, scope, "Failed to iterate field position iterator"_s);
-        return;
-    }
+    auto fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
     while (fieldType >= 0) {
         size_t size = endIndex - beginIndex;
         for (auto i = beginIndex; i < endIndex; ++i) {
@@ -850,11 +469,7 @@ void IntlNumberFormat::formatToPartsInte
             if (fields[i].size >= size)
                 fields[i] = IntlNumberFormatField { fieldType, size };
         }
-        fieldType = iterator.next(beginIndex, endIndex, status);
-        if (U_FAILURE(status)) {
-            throwTypeError(globalObject, scope, "Failed to iterate field position iterator"_s);
-            return;
-        }
+        fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
     }
 
     auto literalString = jsNontrivialString(vm, "literal"_s);
@@ -868,7 +483,7 @@ void IntlNumberFormat::formatToPartsInte
         auto fieldType = fields[currentIndex].type;
         while (currentIndex < stringLength && fields[currentIndex].type == fieldType)
             ++currentIndex;
-        auto partType = fieldType == literalFieldType ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), style, value));
+        auto partType = fieldType == literalFieldType ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), value));
         auto partValue = jsSubstring(vm, formatted, startIndex, currentIndex - startIndex);
         JSObject* part = constructEmptyObject(globalObject);
         part->putDirect(vm, vm.propertyNames->type, partType);
@@ -883,6 +498,8 @@ void IntlNumberFormat::formatToPartsInte
 // https://tc39.github.io/ecma402/#sec-formatnumbertoparts
 JSValue IntlNumberFormat::formatToParts(JSGlobalObject* globalObject, double value) const
 {
+    ASSERT(m_numberFormat);
+
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
 
@@ -892,28 +509,9 @@ JSValue IntlNumberFormat::formatToParts(
         return throwTypeError(globalObject, scope, "failed to open field position iterator"_s);
 
     Vector<UChar, 32> result;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    ASSERT(m_numberFormatter);
-    auto formattedNumber = std::unique_ptr<UFormattedNumber, UFormattedNumberDeleter>(unumf_openResult(&status));
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_formatDouble(m_numberFormatter.get(), value, formattedNumber.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    status = callBufferProducingFunction(unumf_resultToString, formattedNumber.get(), result);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_resultGetAllFieldPositions(formattedNumber.get(), fieldItr.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#else
-    ASSERT(m_numberFormat);
     status = callBufferProducingFunction(unum_formatDoubleForFields, m_numberFormat.get(), value, result, fieldItr.get());
     if (U_FAILURE(status))
         return throwTypeError(globalObject, scope, "failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#endif
 
     auto resultString = String(result);
 
@@ -921,10 +519,11 @@ JSValue IntlNumberFormat::formatToParts(
     if (!parts)
         return throwOutOfMemoryError(globalObject, scope);
 
-    formatToPartsInternal(globalObject, m_style, value, resultString, iterator, parts);
+    formatToPartsInternal(globalObject, value, resultString, fieldItr.get(), parts);
     RETURN_IF_EXCEPTION(scope, { });
 
     return parts;
 }
+#endif
 
 } // namespace JSC
diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.h webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormat.h
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2022-02-09 15:51:26.137397764 -0600
@@ -29,29 +29,12 @@
 
 #include "JSObject.h"
 #include <unicode/unum.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
-
-#if !defined(HAVE_ICU_U_NUMBER_FORMATTER)
-// UNUM_COMPACT_FIELD and UNUM_MEASURE_UNIT_FIELD are available after ICU 64.
-#if U_ICU_VERSION_MAJOR_NUM >= 64
-#define HAVE_ICU_U_NUMBER_FORMATTER 1
-#endif
-#endif
-
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-#include <unicode/unumberformatter.h>
-#endif
 
 namespace JSC {
 
-class IntlFieldIterator;
 class JSBoundFunction;
 enum class RelevantExtensionKey : uint8_t;
 
-enum class IntlRoundingType : uint8_t { FractionDigits, SignificantDigits, CompactRounding };
-enum class IntlNotation : uint8_t { Standard, Scientific, Engineering, Compact };
-template<typename IntlType> void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, JSObject*, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-
 class IntlNumberFormat final : public JSNonFinalObject {
 public:
     using Base = JSNonFinalObject;
@@ -77,20 +60,11 @@ public:
     void initializeNumberFormat(JSGlobalObject*, JSValue locales, JSValue optionsValue);
     JSValue format(JSGlobalObject*, double) const;
     JSValue format(JSGlobalObject*, JSBigInt*) const;
-    JSValue formatToParts(JSGlobalObject*, double) const;
     JSObject* resolvedOptions(JSGlobalObject*) const;
 
     JSBoundFunction* boundFormat() const { return m_boundFormat.get(); }
     void setBoundFormat(VM&, JSBoundFunction*);
 
-    enum class Style : uint8_t { Decimal, Percent, Currency, Unit };
-
-    static void formatToPartsInternal(JSGlobalObject*, Style, double, const String& formatted, IntlFieldIterator&, JSArray*, JSString* unit = nullptr);
-
-    template<typename IntlType>
-    friend void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, JSObject*, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-
-    static ASCIILiteral notationString(IntlNotation);
 
     static IntlNumberFormat* unwrapForOldFunctions(JSGlobalObject*, JSValue);
 
@@ -101,33 +75,22 @@ private:
 
     static Vector<String> localeData(const String&, RelevantExtensionKey);
 
-    enum class CurrencyDisplay : uint8_t { Code, Symbol, NarrowSymbol, Name };
-    enum class CurrencySign : uint8_t { Standard, Accounting };
-    enum class UnitDisplay : uint8_t { Short, Narrow, Long };
-    enum class CompactDisplay : uint8_t { Short, Long };
-    enum class SignDisplay : uint8_t { Auto, Never, Always, ExceptZero };
+    enum class Style : uint8_t { Decimal, Percent, Currency };
+    enum class CurrencyDisplay : uint8_t { Code, Symbol, Name };
+
+    struct UNumberFormatDeleter {
+        void operator()(UNumberFormat*) const;
+    };
 
     static ASCIILiteral styleString(Style);
     static ASCIILiteral currencyDisplayString(CurrencyDisplay);
-    static ASCIILiteral currencySignString(CurrencySign);
-    static ASCIILiteral unitDisplayString(UnitDisplay);
-    static ASCIILiteral compactDisplayString(CompactDisplay);
-    static ASCIILiteral signDisplayString(SignDisplay);
 
     WriteBarrier<JSBoundFunction> m_boundFormat;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    using UNumberFormatterDeleter = ICUDeleter<unumf_close>;
-    using UFormattedNumberDeleter = ICUDeleter<unumf_closeResult>;
-    std::unique_ptr<UNumberFormatter, UNumberFormatterDeleter> m_numberFormatter;
-#else
-    using UNumberFormatDeleter = ICUDeleter<unum_close>;
-    std::unique_ptr<UNumberFormat, ICUDeleter<unum_close>> m_numberFormat;
-#endif
+    std::unique_ptr<UNumberFormat, UNumberFormatDeleter> m_numberFormat;
 
     String m_locale;
     String m_numberingSystem;
     String m_currency;
-    String m_unit;
     unsigned m_minimumIntegerDigits { 1 };
     unsigned m_minimumFractionDigits { 0 };
     unsigned m_maximumFractionDigits { 3 };
@@ -135,13 +98,7 @@ private:
     unsigned m_maximumSignificantDigits { 0 };
     Style m_style { Style::Decimal };
     CurrencyDisplay m_currencyDisplay;
-    CurrencySign m_currencySign;
-    UnitDisplay m_unitDisplay;
-    CompactDisplay m_compactDisplay;
-    IntlNotation m_notation { IntlNotation::Standard };
-    SignDisplay m_signDisplay;
     bool m_useGrouping { true };
-    IntlRoundingType m_roundingType { IntlRoundingType::FractionDigits };
 };
 
 } // namespace JSC
diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h	2022-02-09 15:51:26.141397786 -0600
@@ -32,96 +32,6 @@
 
 namespace JSC  {
 
-template<typename IntlType>
-void setNumberFormatDigitOptions(JSGlobalObject* globalObject, IntlType* intlInstance, JSObject* options, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation notation)
-{
-    VM& vm = globalObject->vm();
-    auto scope = DECLARE_THROW_SCOPE(vm);
-
-    unsigned minimumIntegerDigits = intlNumberOption(globalObject, options, vm.propertyNames->minimumIntegerDigits, 1, 21, 1);
-    RETURN_IF_EXCEPTION(scope, void());
-
-    JSValue minimumFractionDigitsValue = jsUndefined();
-    JSValue maximumFractionDigitsValue = jsUndefined();
-    JSValue minimumSignificantDigitsValue = jsUndefined();
-    JSValue maximumSignificantDigitsValue = jsUndefined();
-    if (options) {
-        minimumFractionDigitsValue = options->get(globalObject, vm.propertyNames->minimumFractionDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        maximumFractionDigitsValue = options->get(globalObject, vm.propertyNames->maximumFractionDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        minimumSignificantDigitsValue = options->get(globalObject, vm.propertyNames->minimumSignificantDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        maximumSignificantDigitsValue = options->get(globalObject, vm.propertyNames->maximumSignificantDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-    }
-
-    intlInstance->m_minimumIntegerDigits = minimumIntegerDigits;
-
-    if (!minimumSignificantDigitsValue.isUndefined() || !maximumSignificantDigitsValue.isUndefined()) {
-        intlInstance->m_roundingType = IntlRoundingType::SignificantDigits;
-        unsigned minimumSignificantDigits = intlDefaultNumberOption(globalObject, minimumSignificantDigitsValue, vm.propertyNames->minimumSignificantDigits, 1, 21, 1);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned maximumSignificantDigits = intlDefaultNumberOption(globalObject, maximumSignificantDigitsValue, vm.propertyNames->maximumSignificantDigits, minimumSignificantDigits, 21, 21);
-        RETURN_IF_EXCEPTION(scope, void());
-        intlInstance->m_minimumSignificantDigits = minimumSignificantDigits;
-        intlInstance->m_maximumSignificantDigits = maximumSignificantDigits;
-        return;
-    }
-
-    if (!minimumFractionDigitsValue.isUndefined() || !maximumFractionDigitsValue.isUndefined()) {
-        constexpr unsigned undefinedValue = UINT32_MAX;
-        intlInstance->m_roundingType = IntlRoundingType::FractionDigits;
-        unsigned specifiedMinimumFractionDigits = intlDefaultNumberOption(globalObject, minimumFractionDigitsValue, vm.propertyNames->minimumFractionDigits, 0, 20, undefinedValue);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned specifiedMaximumFractionDigits = intlDefaultNumberOption(globalObject, maximumFractionDigitsValue, vm.propertyNames->maximumFractionDigits, 0, 20, undefinedValue);
-        RETURN_IF_EXCEPTION(scope, void());
-        if (specifiedMaximumFractionDigits != undefinedValue)
-            minimumFractionDigitsDefault = std::min(minimumFractionDigitsDefault, specifiedMaximumFractionDigits);
-        unsigned minimumFractionDigits = intlDefaultNumberOption(globalObject, (specifiedMinimumFractionDigits == undefinedValue) ? jsUndefined() : jsNumber(specifiedMinimumFractionDigits), vm.propertyNames->minimumFractionDigits, 0, 20, minimumFractionDigitsDefault);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned maximumFractionDigits = intlDefaultNumberOption(globalObject, (specifiedMaximumFractionDigits == undefinedValue) ? jsUndefined() : jsNumber(specifiedMaximumFractionDigits), vm.propertyNames->maximumFractionDigits, 0, 20, std::max(maximumFractionDigitsDefault, minimumFractionDigits));
-        RETURN_IF_EXCEPTION(scope, void());
-        if (minimumFractionDigits > maximumFractionDigits) {
-            throwRangeError(globalObject, scope, "Computed minimumFractionDigits is larger than maximumFractionDigits"_s);
-            return;
-        }
-        intlInstance->m_minimumFractionDigits = minimumFractionDigits;
-        intlInstance->m_maximumFractionDigits = maximumFractionDigits;
-        return;
-    }
-
-    if (notation == IntlNotation::Compact) {
-        intlInstance->m_roundingType = IntlRoundingType::CompactRounding;
-        return;
-    }
-
-    intlInstance->m_roundingType = IntlRoundingType::FractionDigits;
-    intlInstance->m_minimumFractionDigits = minimumFractionDigitsDefault;
-    intlInstance->m_maximumFractionDigits = maximumFractionDigitsDefault;
-}
-
-class IntlFieldIterator {
-public:
-    WTF_MAKE_NONCOPYABLE(IntlFieldIterator);
-
-    explicit IntlFieldIterator(UFieldPositionIterator& iterator)
-        : m_iterator(iterator)
-    {
-    }
-
-    int32_t next(int32_t& beginIndex, int32_t& endIndex, UErrorCode&)
-    {
-        return ufieldpositer_next(&m_iterator, &beginIndex, &endIndex);
-    }
-
-private:
-    UFieldPositionIterator& m_iterator;
-};
-
 // https://tc39.es/ecma402/#sec-unwrapnumberformat
 inline IntlNumberFormat* IntlNumberFormat::unwrapForOldFunctions(JSGlobalObject* globalObject, JSValue thisValue)
 {
diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp	2022-02-09 15:51:26.141397786 -0600
@@ -28,14 +28,12 @@
 #include "IntlNumberFormatPrototype.h"
 
 #include "BuiltinNames.h"
-#include "IntlNumberFormatInlines.h"
 #include "JSBoundFunction.h"
 #include "JSCInlines.h"
 
 namespace JSC {
 
 static JSC_DECLARE_CUSTOM_GETTER(intlNumberFormatPrototypeGetterFormat);
-static JSC_DECLARE_HOST_FUNCTION(intlNumberFormatPrototypeFuncFormatToParts);
 static JSC_DECLARE_HOST_FUNCTION(intlNumberFormatPrototypeFuncResolvedOptions);
 static JSC_DECLARE_HOST_FUNCTION(intlNumberFormatFuncFormat);
 
@@ -50,7 +48,6 @@ const ClassInfo IntlNumberFormatPrototyp
 /* Source for IntlNumberFormatPrototype.lut.h
 @begin numberFormatPrototypeTable
   format           intlNumberFormatPrototypeGetterFormat         DontEnum|ReadOnly|CustomAccessor
-  formatToParts    intlNumberFormatPrototypeFuncFormatToParts    DontEnum|Function 1
   resolvedOptions  intlNumberFormatPrototypeFuncResolvedOptions  DontEnum|Function 0
 @end
 */
@@ -137,6 +134,7 @@ JSC_DEFINE_CUSTOM_GETTER(intlNumberForma
     return JSValue::encode(boundFormat);
 }
 
+#if 0
 JSC_DEFINE_HOST_FUNCTION(intlNumberFormatPrototypeFuncFormatToParts, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
     VM& vm = globalObject->vm();
@@ -155,6 +153,7 @@ JSC_DEFINE_HOST_FUNCTION(intlNumberForma
 
     RELEASE_AND_RETURN(scope, JSValue::encode(numberFormat->formatToParts(globalObject, value)));
 }
+#endif
 
 JSC_DEFINE_HOST_FUNCTION(intlNumberFormatPrototypeFuncResolvedOptions, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlObject.cpp webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlObject.cpp
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlObject.cpp	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlObject.cpp	2022-02-09 15:51:26.141397786 -0600
@@ -39,19 +39,11 @@
 #include "IntlDisplayNames.h"
 #include "IntlDisplayNamesConstructor.h"
 #include "IntlDisplayNamesPrototype.h"
-#include "IntlListFormat.h"
-#include "IntlListFormatConstructor.h"
-#include "IntlListFormatPrototype.h"
-#include "IntlLocale.h"
-#include "IntlLocaleConstructor.h"
-#include "IntlLocalePrototype.h"
 #include "IntlNumberFormatConstructor.h"
 #include "IntlNumberFormatPrototype.h"
 #include "IntlObjectInlines.h"
 #include "IntlPluralRulesConstructor.h"
 #include "IntlPluralRulesPrototype.h"
-#include "IntlRelativeTimeFormatConstructor.h"
-#include "IntlRelativeTimeFormatPrototype.h"
 #include "IntlSegmenter.h"
 #include "IntlSegmenterConstructor.h"
 #include "IntlSegmenterPrototype.h"
@@ -61,7 +53,6 @@
 #include <unicode/ucal.h>
 #include <unicode/ucol.h>
 #include <unicode/ucurr.h>
-#include <unicode/ufieldpositer.h>
 #include <unicode/uloc.h>
 #include <unicode/unumsys.h>
 #include <wtf/Assertions.h>
@@ -69,7 +60,6 @@
 #include <wtf/NeverDestroyed.h>
 #include <wtf/text/StringBuilder.h>
 #include <wtf/text/StringImpl.h>
-#include <wtf/text/StringParsingBuffer.h>
 #include <wtf/unicode/icu/ICUHelpers.h>
 
 namespace JSC {
@@ -100,20 +90,6 @@ static JSValue createDisplayNamesConstru
     return IntlDisplayNamesConstructor::create(vm, IntlDisplayNamesConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlDisplayNamesPrototype*>(globalObject->displayNamesStructure()->storedPrototypeObject()));
 }
 
-static JSValue createListFormatConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlListFormatConstructor::create(vm, IntlListFormatConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlListFormatPrototype*>(globalObject->listFormatStructure()->storedPrototypeObject()));
-}
-
-static JSValue createLocaleConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlLocaleConstructor::create(vm, IntlLocaleConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlLocalePrototype*>(globalObject->localeStructure()->storedPrototypeObject()));
-}
-
 static JSValue createNumberFormatConstructor(VM& vm, JSObject* object)
 {
     IntlObject* intlObject = jsCast<IntlObject*>(object);
@@ -128,13 +104,6 @@ static JSValue createPluralRulesConstruc
     return IntlPluralRulesConstructor::create(vm, IntlPluralRulesConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlPluralRulesPrototype*>(globalObject->pluralRulesStructure()->storedPrototypeObject()));
 }
 
-static JSValue createRelativeTimeFormatConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlRelativeTimeFormatConstructor::create(vm, IntlRelativeTimeFormatConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlRelativeTimeFormatPrototype*>(globalObject->relativeTimeFormatStructure()->storedPrototypeObject()));
-}
-
 static JSValue createSegmenterConstructor(VM& vm, JSObject* object)
 {
     IntlObject* intlObject = jsCast<IntlObject*>(object);
@@ -153,10 +122,8 @@ namespace JSC {
   getCanonicalLocales   intlObjectFuncGetCanonicalLocales            DontEnum|Function 1
   Collator              createCollatorConstructor                    DontEnum|PropertyCallback
   DateTimeFormat        createDateTimeFormatConstructor              DontEnum|PropertyCallback
-  Locale                createLocaleConstructor                      DontEnum|PropertyCallback
   NumberFormat          createNumberFormatConstructor                DontEnum|PropertyCallback
   PluralRules           createPluralRulesConstructor                 DontEnum|PropertyCallback
-  RelativeTimeFormat    createRelativeTimeFormatConstructor          DontEnum|PropertyCallback
   Segmenter             createSegmenterConstructor                   DontEnum|PropertyCallback
 @end
 */
@@ -169,11 +136,13 @@ struct MatcherResult {
 
 const ClassInfo IntlObject::s_info = { "Intl", &Base::s_info, &intlObjectTable, nullptr, CREATE_METHOD_TABLE(IntlObject) };
 
+#if 0
 void UFieldPositionIteratorDeleter::operator()(UFieldPositionIterator* iterator) const
 {
     if (iterator)
         ufieldpositer_close(iterator);
 }
+#endif
 
 const MeasureUnit simpleUnits[43] = {
     { "area"_s, "acre"_s },
@@ -243,11 +212,6 @@ void IntlObject::finishCreation(VM& vm,
 #else
     UNUSED_PARAM(&createDisplayNamesConstructor);
 #endif
-#if HAVE(ICU_U_LIST_FORMATTER)
-    putDirectWithoutTransition(vm, vm.propertyNames->ListFormat, createListFormatConstructor(vm, this), static_cast<unsigned>(PropertyAttribute::DontEnum));
-#else
-    UNUSED_PARAM(&createListFormatConstructor);
-#endif
     if (Options::useIntlEnumeration())
         JSC_NATIVE_FUNCTION_WITHOUT_TRANSITION("supportedValuesOf", intlObjectFuncSupportedValuesOf, static_cast<unsigned>(PropertyAttribute::DontEnum), 1);
 }
@@ -661,29 +625,24 @@ unsigned intlDefaultNumberOption(JSGloba
 // http://www.unicode.org/reports/tr35/#Unicode_locale_identifier
 bool isUnicodeLocaleIdentifierType(StringView string)
 {
-    // Matching the Unicode Locale Identifier type nonterminal.
-    // Because the spec abstract operation is not mentioning to BCP-47 conformance for this matching,
-    // '-' and '_' separators are allowed while BCP-47 only accepts '-'.
-    // On the other hand, IsStructurallyValidLanguageTag explicitly mentions to BCP-47.
-    return readCharactersForParsing(string, [](auto buffer) -> bool {
-        while (true) {
-            auto begin = buffer.position();
-            while (buffer.hasCharactersRemaining() && isASCIIAlphanumeric(*buffer))
-                ++buffer;
-            unsigned length = buffer.position() - begin;
-            if (length < 3 || length > 8)
-                return false;
-            if (!buffer.hasCharactersRemaining())
-                return true;
-            if (*buffer != '-' && *buffer != '_')
+    ASSERT(!string.isNull());
+
+    for (auto part : string.splitAllowingEmptyEntries('-')) {
+        auto length = part.length();
+        if (length < 3 || length > 8)
+            return false;
+
+        for (auto character : part.codeUnits()) {
+            if (!isASCIIAlphanumeric(character))
                 return false;
-            ++buffer;
         }
-    });
+    }
+
+    return true;
 }
 
 // https://tc39.es/ecma402/#sec-canonicalizeunicodelocaleid
-String canonicalizeUnicodeLocaleID(const CString& tag)
+static String canonicalizeLanguageTag(const CString& tag)
 {
     auto buffer = localeIDBufferForLanguageTagWithNullTerminator(tag);
     if (buffer.isEmpty())
@@ -710,7 +669,7 @@ Vector<String> canonicalizeLocaleList(JS
         return seen;
 
     JSObject* localesObject;
-    if (locales.isString() || locales.inherits<IntlLocale>(vm)) {
+    if (locales.isString()) {
         JSArray* localesArray = JSArray::tryCreate(vm, globalObject->arrayStructureForIndexingTypeDuringAllocation(ArrayWithContiguous));
         if (!localesArray) {
             throwOutOfMemoryError(globalObject, scope);
@@ -747,19 +706,15 @@ Vector<String> canonicalizeLocaleList(JS
             }
 
             String tag;
-            if (kValue.inherits<IntlLocale>(vm))
-                tag = jsCast<IntlLocale*>(kValue)->toString();
-            else {
-                JSString* string = kValue.toString(globalObject);
-                RETURN_IF_EXCEPTION(scope, Vector<String>());
+            JSString* string = kValue.toString(globalObject);
+            RETURN_IF_EXCEPTION(scope, Vector<String>());
 
-                tag = string->value(globalObject);
-                RETURN_IF_EXCEPTION(scope, Vector<String>());
-            }
+            tag = string->value(globalObject);
+        RETURN_IF_EXCEPTION(scope, Vector<String>());
 
             if (isStructurallyValidLanguageTag(tag)) {
                 ASSERT(tag.isAllASCII());
-                String canonicalizedTag = canonicalizeUnicodeLocaleID(tag.ascii());
+                String canonicalizedTag = canonicalizeLanguageTag(tag.ascii());
                 if (!canonicalizedTag.isNull()) {
                     if (seenSet.add(canonicalizedTag).isNewEntry)
                         seen.append(canonicalizedTag);
@@ -796,14 +751,14 @@ String defaultLocale(JSGlobalObject* glo
     // be determined by WebCore-specific logic like some WK settings. Usually this will return the
     // same thing as userPreferredLanguages()[0].
     if (auto defaultLanguage = globalObject->globalObjectMethodTable()->defaultLanguage) {
-        String locale = canonicalizeUnicodeLocaleID(defaultLanguage().utf8());
+        String locale = canonicalizeLanguageTag(defaultLanguage().utf8());
         if (!locale.isEmpty())
             return locale;
     }
 
     Vector<String> languages = userPreferredLanguages();
     for (const auto& language : languages) {
-        String locale = canonicalizeUnicodeLocaleID(language.utf8());
+        String locale = canonicalizeLanguageTag(language.utf8());
         if (!locale.isEmpty())
             return locale;
     }
@@ -1526,19 +1481,9 @@ std::optional<String> mapICUCalendarKeyw
     return std::nullopt;
 }
 
-std::optional<String> mapBCP47ToICUCalendarKeyword(const String& calendar)
-{
-    if (calendar == "gregory"_s)
-        return "gregorian"_s;
-    if (calendar == "islamicc"_s)
-        return "islamic-civil"_s;
-    if (calendar == "ethioaa"_s)
-        return "ethiopic-amete-alem"_s;
-    return std::nullopt;
-}
-
 std::optional<String> mapICUCollationKeywordToBCP47(const String& collation)
 {
+    // Map keyword values to BCP 47 equivalents.
     if (collation == "dictionary"_s)
         return "dict"_s;
     if (collation == "gb2312han"_s)
diff -urpN webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlObject.h webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlObject.h
--- webkitgtk-2.34.5.gstreamer/Source/JavaScriptCore/runtime/IntlObject.h	2021-10-21 03:52:07.000000000 -0500
+++ webkitgtk-2.34.5/Source/JavaScriptCore/runtime/IntlObject.h	2022-02-09 15:51:26.141397786 -0600
@@ -99,7 +99,6 @@ inline const LocaleSet& intlDisplayNames
 inline const LocaleSet& intlNumberFormatAvailableLocales() { return intlAvailableLocales(); }
 inline const LocaleSet& intlPluralRulesAvailableLocales() { return intlAvailableLocales(); }
 inline const LocaleSet& intlRelativeTimeFormatAvailableLocales() { return intlAvailableLocales(); }
-inline const LocaleSet& intlListFormatAvailableLocales() { return intlAvailableLocales(); }
 
 using CalendarID = unsigned;
 const Vector<String>& intlAvailableCalendars();
@@ -147,7 +146,6 @@ bool isUnicodeRegionSubtag(StringView);
 bool isUnicodeVariantSubtag(StringView);
 bool isUnicodeLanguageId(StringView);
 bool isStructurallyValidLanguageTag(StringView);
-String canonicalizeUnicodeLocaleID(const CString& languageTag);
 
 bool isWellFormedCurrencyCode(StringView);
 
@@ -159,6 +157,5 @@ struct UFieldPositionIteratorDeleter {
 
 std::optional<String> mapICUCollationKeywordToBCP47(const String&);
 std::optional<String> mapICUCalendarKeywordToBCP47(const String&);
-std::optional<String> mapBCP47ToICUCalendarKeyword(const String&);
 
 } // namespace JSC
